description

# WorkerGlobalScope class Null safety

Inheritance
  - Object
  - EventTarget
  - WorkerGlobalScope
Implemented types
  - WindowBase64
Implementers
  - DedicatedWorkerGlobalScope
  - ServiceWorkerGlobalScope
  - SharedWorkerGlobalScope
Annotations
  - @Native("WorkerGlobalScope")

## Properties

addressSpace → String?
  read-only
caches → CacheStorage?
  read-only
crypto → Crypto?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
indexedDB → IdbFactory?
  read-only
isSecureContext → bool?
  read-only
location → _WorkerLocation
  read-only
navigator → _WorkerNavigator
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onError → Stream<Event>
  Stream of `error` events handled by this WorkerGlobalScope.
  read-only
origin → String?
  read-only
performance → WorkerPerformance?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
self → WorkerGlobalScope
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
atob(String atob) → String
  override
btoa(String btoa) → String
  override
dispatchEvent(Event event) → bool
  inherited
fetch(dynamic input, [Map? init]) → Future
importScripts(String urls) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

instance → WorkerGlobalScope
  read-only

## Constants

errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of WorkerGlobalScope. [...]
  `const EventStreamProvider<Event>('error')`